Package org.opencv.cv3d

## Class OdometrySettings

- java.lang.Object
- - org.opencv.cv3d.OdometrySettings

-     public class OdometrySettings
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected long` | `nativeObj` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `OdometrySettings()` |
    `protected` | `OdometrySettings​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OdometrySettings` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `float` | `getAngleThreshold()` |
    `void` | `getCameraMatrix​(Mat val)` |
    `void` | `getIterCounts​(Mat val)` |
    `float` | `getMaxDepth()` |
    `float` | `getMaxDepthDiff()` |
    `float` | `getMaxPointsPart()` |
    `float` | `getMaxRotation()` |
    `float` | `getMaxTranslation()` |
    `float` | `getMinDepth()` |
    `float` | `getMinGradientMagnitude()` |
    `void` | `getMinGradientMagnitudes​(Mat val)` |
    `long` | `getNativeObjAddr()` |
    `float` | `getNormalDiffThreshold()` |
    `int` | `getNormalMethod()` |
    `int` | `getNormalWinSize()` |
    `double` | `getSobelScale()` |
    `int` | `getSobelSize()` |
    `void` | `setAngleThreshold​(float val)` |
    `void` | `setCameraMatrix​(Mat val)` |
    `void` | `setIterCounts​(Mat val)` |
    `void` | `setMaxDepth​(float val)` |
    `void` | `setMaxDepthDiff​(float val)` |
    `void` | `setMaxPointsPart​(float val)` |
    `void` | `setMaxRotation​(float val)` |
    `void` | `setMaxTranslation​(float val)` |
    `void` | `setMinDepth​(float val)` |
    `void` | `setMinGradientMagnitude​(float val)` |
    `void` | `setMinGradientMagnitudes​(Mat val)` |
    `void` | `setNormalDiffThreshold​(float val)` |
    `void` | `setNormalMethod​(int nm)` |
    `void` | `setNormalWinSize​(int val)` |
    `void` | `setSobelScale​(double val)` |
    `void` | `setSobelSize​(int val)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### OdometrySettings

          protected OdometrySettings​(long addr)

    - #### OdometrySettings

          public OdometrySettings()

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static OdometrySettings __fromPtr__​(long addr)

    - #### setCameraMatrix

          public void setCameraMatrix​(Mat val)

    - #### getCameraMatrix

          public void getCameraMatrix​(Mat val)

    - #### setIterCounts

          public void setIterCounts​(Mat val)

    - #### getIterCounts

          public void getIterCounts​(Mat val)

    - #### setMinDepth

          public void setMinDepth​(float val)

    - #### getMinDepth

          public float getMinDepth()

    - #### setMaxDepth

          public void setMaxDepth​(float val)

    - #### getMaxDepth

          public float getMaxDepth()

    - #### setMaxDepthDiff

          public void setMaxDepthDiff​(float val)

    - #### getMaxDepthDiff

          public float getMaxDepthDiff()

    - #### setMaxPointsPart

          public void setMaxPointsPart​(float val)

    - #### getMaxPointsPart

          public float getMaxPointsPart()

    - #### setSobelSize

          public void setSobelSize​(int val)

    - #### getSobelSize

          public int getSobelSize()

    - #### setSobelScale

          public void setSobelScale​(double val)

    - #### getSobelScale

          public double getSobelScale()

    - #### setNormalWinSize

          public void setNormalWinSize​(int val)

    - #### getNormalWinSize

          public int getNormalWinSize()

    - #### setNormalDiffThreshold

          public void setNormalDiffThreshold​(float val)

    - #### getNormalDiffThreshold

          public float getNormalDiffThreshold()

    - #### setNormalMethod

          public void setNormalMethod​(int nm)

    - #### getNormalMethod

          public int getNormalMethod()

    - #### setAngleThreshold

          public void setAngleThreshold​(float val)

    - #### getAngleThreshold

          public float getAngleThreshold()

    - #### setMaxTranslation

          public void setMaxTranslation​(float val)

    - #### getMaxTranslation

          public float getMaxTranslation()

    - #### setMaxRotation

          public void setMaxRotation​(float val)

    - #### getMaxRotation

          public float getMaxRotation()

    - #### setMinGradientMagnitude

          public void setMinGradientMagnitude​(float val)

    - #### getMinGradientMagnitude

          public float getMinGradientMagnitude()

    - #### setMinGradientMagnitudes

          public void setMinGradientMagnitudes​(Mat val)

    - #### getMinGradientMagnitudes

          public void getMinGradientMagnitudes​(Mat val)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`